<?php 
require('../cfg/res.php');
include('php_gene1.php');

mysql_query("SET NAMES 'utf8'");

$xcoditem=$_POST['valor'];
$xcoddocu=$_POST['docu'];
$xcodenti=substr($_POST['enti'],0,10);

$sql_busca='select *from item00 ';
$sql_busca.='where (item_descri like "%'.$xcoditem.'%" or item_codigo like "%'.$xcoditem.'%") and item_status!="X" ';
$sql_busca.='order by item_descri,item_codigo';

if(mb_stristr('FP.PP',substr($xcoddocu,0,2)))
{
  $res_busca=mysql_query($sql_busca,$link_vcrx);
  $xcoditem=mysql_result($res_busca,0,'item_codigo');
  $sql_busca ='select * from comp1 ';
  $sql_busca.='left join comp2 on idnum1=idnum2 ';
  $sql_busca.='left join item0 on item=item_codigo ';
  $sql_busca.='where status!="O" and status!="X" and docu like "'.$xcoddocu.'%" ';
  $sql_busca.='and item like "'.$xcoditem.'" ';
  if ($xcodenti!="")
  {$sql_busca.='and enti like "'.$xcodenti.'%" ';}	
  $sql_busca.='order by fecha desc';
}	

if(mb_stristr('IB',substr($xcoddocu,0,2)))
{
  $res_busca=mysql_query($sql_busca,$link_vcrx);
  $xcoditem=mysql_result($res_busca,0,'item_codigo');
  $sql_busca='select *from inve1 ';
  $sql_busca.='left join inve2 on idnum1=idnum2 ';
  $sql_busca.='left join item0 on item=item_codigo ';
  $sql_busca.='where status!="O" and status!="X" and docu like "'.$xcoddocu.'%" ';
  $sql_busca.='and item like "'.$xcoditem.'" ';
  if ($xcodenti!="")
  {$sql_busca.='and enti like "'.$xcodenti.'%" ';}	
  $sql_busca.='order by fecha desc';
}	

$saldo=0;
if(mb_stristr('EB.FC.PC.PF',substr($xcoddocu,0,2)))
{$saldo=sal_item($xcoditem);}


$itemcod='';
$itemcod=$xcoditem;
$itemdes='';
$itemdes=r_fiel('item',$xcoditem);
$itemcair='';
if(substr($xcoditem,0,4)=='9900')
{$itemcair=r_fiel('item',$xcoditem,'cair');}


if( $itemdes=='' or  mb_stristr($itemdes,'*** NUE')) 
{
//   $ean_descri=get_ean($xcoditem);
//   if($ean_descri!=''){$itemdes=$ean_descri;}
//   $sql_upd='update item0 set item_descri="'.$ean_descri.'" where item_codigo like "'.$xcoditem.'%"';
//   $res_upd=mysql_query($sql_upd,$link_vcrx);
}  

$res_busca=mysql_query($sql_busca,$link_vcrx);
?>

<?php
  if(mysql_num_rows($res_busca)==0 and mb_stristr('FP.PP',substr($xcoddocu,0,2)))
  { 
    $sql_busca=str_replace($xcodenti,"",$sql_busca);
    $res_busca=mysql_query($sql_busca,$link_vcrx);
  }
?>


<?php if(mysql_num_rows($res_busca)!=0){ ?>
<resultado>
<?php if(mb_stristr('FP.PP',substr($xcoddocu,0,2))) { ?>
  <?php $xcair=mysql_result($res_busca,0,'cair'); ?>
	<codigo><?php echo $itemcod;?></codigo>
	<descri><?php echo $itemdes;?></descri>
	<puni><?php echo mysql_result($res_busca,0,'puni');?></puni>
	<ice><?php echo mysql_result($res_busca,0,'ice');?></ice>
	<iva><?php echo mysql_result($res_busca,0,'iva');?></iva>
	<irbp><?php echo mysql_result($res_busca,0,'irbp');?></irbp>
	<cair><?php echo $xcair;?></cair>
	<ctas><?php echo mysql_result($res_busca,0,'ctas');?></ctas>
	<saldo><?php echo $saldo;?></saldo>
<?php }else{ ?>
	<codigo><?php echo $itemcod;?></codigo>
	<descri><?php echo $itemdes;?></descri>
	<puni><?php echo mysql_result($res_busca,0,'item_puni');?></puni>
	<ice><?php echo mysql_result($res_busca,0,'item_ice');?></ice>
	<dcto><?php echo mysql_result($res_busca,0,'item_dcto');?></dcto>
	<iva><?php echo mysql_result($res_busca,0,'item_iva');?></iva>
	<irbp><?php echo mysql_result($res_busca,0,'item_irbp');?></irbp>
	<saldo><?php echo $saldo;?></saldo>
<?php } ?>
</resultado>
<?php }else{ ?>
<resultado>
	<iten>0</iten>
	<descri>N/A</descri>
	<puni>0</puni>
	<ice>0</ice>
	<cair><?php echo $itemcair; ?></cair>
	<dcto>0</dcto>
	<iva>0</iva>
	<irbp>0</irbp>
    
</resultado>
<?php	


	echo 'N/A';
}


?>